import { insert_post, NewPost } from "@/db";
import { Blob } from "buffer";
import type { NextRequest } from "next/server";

export async function POST(req: NextRequest) {
  let form = await req.formData();
  let text = form.get("content")?.toString()
  if (!text) {
    return Response.error()
  }
  let request: NewPost = { content: text, image: [] };
  let [id, hash] = await insert_post(request);

  return Response.json({ id: id, hash: hash })
}
